#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var yargs_1 = require("yargs");
var helpers_1 = require("yargs/helpers");
var __1 = require("..");
var config_1 = require("../config");
var defaultConfig = config_1.applyDefaults();
var tagGlob = yargs_1.default(helpers_1.hideBin(process.argv))
    .options({
    tagGlob: {
        type: 'string',
        description: 'The matching glob to use to find tagged versions (same syntax as `git describe --match`)',
        default: defaultConfig.tagGlob,
    },
})
    .version(false)
    .help()
    .parseSync().tagGlob;
console.log(__1.versionFromGitTag({ tagGlob: tagGlob }));
//# sourceMappingURL=absolute-version-from-git-tag.js.map